import {
  user,
  me,
  mSignIn,
  updateOrgProfile,
  getOrgProfile,
  getUserProfile,
  updateUser,
  updateUserProfile,
  getUsersList,
  getCouriersList,
  getNewUsers,
  countOrders,
  countOrderSumm,
  countTransferedOrders,
  newUsers,
  submitSignup,
  signUp,
  sendMessage,
  adminSignup,
  getUniqueUsers,
} from './user'

import {
  getLastInComplitedOrder,
  createOrder,
  updateOrder,
  listOrders,
  listOrdersFull,
  putProduct,
  updateProduct,
  deleteProduct,
  getOrder,
  listOrdersCourier,
  listOrdersSender,
  oneCPush,
  setOrderCourier,
  deleteOrder,
  pricesOrders,
  getMthStatistic,
  getYearStatistic,
  getAllTimeStatistic,
  listOrdersByDate,
  listOrdersByDateUser,
  listPaymentTypes,
  makeUserDocs,
  makeAllDocs,
} from './order'

import { relogSendCourier, relogSendClient, relogSendOrder } from './relog'

const P = {
  deleteOrder,
  user,
  me,
  getMthStatistic,
  getYearStatistic,
  getAllTimeStatistic,
  mSignIn,
  updateOrgProfile,
  getOrgProfile,
  getUserProfile,
  updateUser,
  getLastInComplitedOrder,
  createOrder,
  updateOrder,
  updateUserProfile,
  submitSignup,
  signUp,
  listOrders,
  listOrdersFull,
  getUsersList,
  putProduct,
  updateProduct,
  deleteProduct,
  getOrder,
  listOrdersCourier,
  listOrdersSender,
  oneCPush,
  getCouriersList,
  getNewUsers,
  countOrders,
  countOrderSumm,
  countTransferedOrders,
  newUsers,
  setOrderCourier,
  relogSendCourier,
  relogSendClient,
  relogSendOrder,
  sendMessage,
  adminSignup,
  pricesOrders,
  listOrdersByDate,
  listOrdersByDateUser,
  listPaymentTypes,
  makeUserDocs,
  getUniqueUsers,
  makeAllDocs,
}

export default P
